> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/basketball/json-objects/live-objects/period.md).

# Period

Represents the period's details.

## Properties

<table data-header-hidden><thead><tr><th width="240">Property</th><th>Description</th></tr></thead><tbody><tr><td>id<br><em><mark style="color:blue;">integer</mark></em></td><td>The <a data-footnote-ref href="#user-content-fn-1">period</a> id.</td></tr><tr><td>label<br><em><mark style="color:blue;">string</mark></em></td><td>The string <a data-footnote-ref href="#user-content-fn-2">value</a> relating to the period.</td></tr><tr><td>start<br><em><mark style="color:blue;">timestamp</mark></em></td><td><a data-footnote-ref href="#user-content-fn-3">Timestamp</a> of when the period has started, in RFC 3339 format.</td></tr><tr><td>end<br><em><mark style="color:blue;">timestamp</mark></em></td><td><a data-footnote-ref href="#user-content-fn-3">Timestamp</a> of when the period has ended, in RFC 3339 format.</td></tr><tr><td>type<br><em><mark style="color:blue;">string</mark></em></td><td>The match <a data-footnote-ref href="#user-content-fn-4">type</a>.</td></tr><tr><td>awayTeamScore<br><em><mark style="color:blue;">integer</mark></em></td><td>The overall away team score.</td></tr><tr><td>homeTeamScore<br><em><mark style="color:blue;">integer</mark></em></td><td>The overall home team score.</td></tr><tr><td>awayTeamPeriodScore<br><em><mark style="color:blue;">integer</mark></em></td><td>The away team score in that period.</td></tr><tr><td>homeTeamPeriodScore<br><em><mark style="color:blue;">integer</mark></em></td><td>The home team score in that period.</td></tr></tbody></table>

## Sample payload

```json
"periods": [
                {
                    "id": 1,
                    "label": "1st quarter",
                    "type": "Regular",
                    "start": "2022-09-25T14:20:57",
                    "end": "2022-09-25T14:39:51",
                    "awayTeamScore": 15,
                    "homeTeamScore": 19,
                    "awayTeamPeriodScore": 15,
                    "homeTeamPeriodScore": 19
                }
            ]
```

[^1]: Examples for basketball\
    \ <mark style="color:orange;">1 - 1st quarter</mark>\ <mark style="color:orange;">2 - 2nd quarter</mark>\ <mark style="color:orange;">3 - 3rd quarter</mark>\ <mark style="color:orange;">4 - 4th quarter</mark>\ <mark style="color:orange;">5 - overtime</mark>\
    \
    Examples for football\
    \ <mark style="color:orange;">1 - 1st half</mark>\ <mark style="color:orange;">2 - 2nd half</mark>\ <mark style="color:orange;">3 - 1st half extra time</mark>\ <mark style="color:orange;">4 - 2nd half extra time</mark>\ <mark style="color:orange;">5 - penalty shootout</mark>

[^2]: Example <mark style="color:orange;">1st quarter</mark>

[^3]: Examples for January 25th, 2020

    6:25:34pm\
    \
    Pacific Standard Time:

    <mark style="color:orange;">UTC: 2020-01-26T02:25:34Z</mark>

    \
    Pacific Standard Time with UTC offset:

    <mark style="color:orange;">2020-01-25T18:25:34-08:00</mark>

[^4]: Example <mark style="color:orange;">Regular</mark>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/basketball/json-objects/live-objects/period.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
